/* font link */
@import url('https://fonts.googleapis.com/css2?family=Cairo:wght@200..1000&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Smooch+Sans:wght@100..900&display=swap');
:root {
    --background-page: #f7f9fb;
    --background-body: #dce8ff3d;
    --white-color: #ffffff;
    --title-color: #012970;
    --black-color: #000000;
    --lable-color: #656d9a;
    --border-color: #e2e7f1;
    --body-color: #2b2d3b;
    --secondary-color: #22c5ad;
    --primary-color: #4154f1;
    --danger-color: #dc3545;
    --info-color: #0dcaf0;
    --secondary-gray-color: #949fc4;
    --secondary-gray-color-light: rgba(148, 159, 196, 0.1);
    --primary-color-hover: rgba(65, 83, 241, 0.85);
    --hover-noti: #f6f9ff;
    --warning-color: #ff9f43;
    --pink-color: #fd3c97;
    --bs-heading-color: #384adf;
    --transparent-primary: #c8ceff;
    --dark-color: #212529;
}

/* Dark Mode */
[data-theme="dark"] {
    --background-page: #1a1a2e;
    --background-body: #000000;
    --white-color: #202031;
    --title-color: #f3f3f3;
    --bs-heading-color: #384adf;
    --black-color: #f9f9f9;
    --lable-color: #a5a6c5;
    --border-color: #38394a;
    --body-color: #e0e0e0;
    --secondary-color: #1db7a8;
    --primary-color: #384adf;
    --danger-color: #e06a6a;
    --info-color: #0aa9cc;
    --secondary-gray-color: #8b95b2;
    --secondary-gray-color-light: rgba(139, 149, 178, 0.1);
    --primary-color-hover: rgba(56, 74, 223, 0.85);
    --hover-noti: #2a2c3a;
    --warning-color: #d98c3a;
    --pink-color: #e33c84;
    --transparent-primary: #2a2c3a;
    --dark-color: #424649;
}
* {
    --arabic-font:  "Cairo", serif;
    font-family: var(--arabic-font);
}
::-webkit-scrollbar{
    width: 5px;
    height: 10px;
    background: var(--border-color);
    border-radius: 10px;
}
::-webkit-scrollbar-thumb{
    border-radius: 10px;
    background: var(--warning-color);
}
a{
    text-decoration: none !important;
}
ul, ol{
    padding: 0;
    margin: 0;
    list-style: none;
}
html{
    direction: rtl;
}
.header-nav{
    background: var(--border-color);
    display: flex;
    padding: 0.5rem;
}

.header {
    transition: all 0.5s;
    width: 100%;
    height: 70px;
    padding-right: 20px;
    padding-left: 0;
    padding-top: 0;
    padding-bottom: 0;
    display: flex;
    z-index: 997;
    position: fixed;
} 
.main-page{
    padding-top: 70px;
}
.main-page .container{
    max-width: 2000px !important;
    padding: 1rem;
}

.header-nav .notifications .notification-item i {
    margin: 0 10px 0 20px;
    font-size: 24px;
}
.header-nav .notifications .notification-item{
    text-align: right;
}

/*---------------------------------*/
/*------------navbarview-----------*/
/*---------------------------------*/
#navbarview{
    padding: 0;
    background: var(--white-color);
    border-top: 1px solid var(--border-color);
}
#nav-item{
    font-size: 13px;
    font-weight: 700;
    color: var(--body-color);
    padding: 0 0.9rem;
    display: flex;
    align-items: center;
    gap: 0.2rem;
}
#nav-item i{
    margin-left: 0.4rem;
    color: var(--primary-color);
    display: inline-block;
    font-size: 17px;
}
#nav-item i::before{
    font-weight: 900 !important;
}
#nav-item .fa-angle-down{
    font-size: 12px;
    margin: 0 0.2rem 0 0;
    color: var(--lable-color);
}
#navbarview input{
    text-align: right;
    font-size: 14px;
    font-weight: 600;
}
#navbarview .dropdown-menu{
    min-width: 200px;
    padding: 0px !important;
    text-align: right;
    right: 0 !important;
    left: auto !important;
}
#navbarview .dropdown-menu.show{
    margin-top: 15px;
}
#navbarview .dropdown-item{
    font-size: 12px;
    font-weight: 600;
    color: var(--body-color);
    display: flex;
    align-items: center;
}
#navbarview .dropdown-menu li{
    border-bottom: 1px solid var(--bs-dropdown-divider-bg);
}
#navbarview .dropdown-menu li:last-child{
    border: none;
}


.dashboard .card{
    box-shadow: 0 3px 10px #878d9c34;
    margin-bottom: 1rem;
    display: flex;
    align-items: center;
    padding: 1rem 1rem;
    border-radius: 20px;
    transition: 0.2s all;
}
.dashboard .card:hover{
    box-shadow: none;
}
.dashboard .card h3{
    color: var(--body-color);
    font-size: 16px;
    font-weight: 700;
}
.dashboard .card h1{
    color: var(--body-color);
    font-size: 40px;
    font-weight: 600; 
    font-family: "Smooch Sans", serif;
}
.dashboard .card h4{
    color: var(--body-color);
    font-size: 16px;
    font-weight: 700;
}
.dashboard .card a{
    display: inline-block;
    width: 100% !important;
    border-radius: 50px;
    padding: 8px 20px;
    font-size: 20px;
    font-weight: 700;
}
.dashboard .card .icon{
    width: 50px;
    height: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    margin: 10px 10px 10px 20px;
    padding: 10px;

}
.dashboard .card .icon i{
    color: var(--white-color);
    font-size: 1.5rem;
    margin-top: 10px;
}
.dashboard .viewcard-pople i{
    color: var(--primary-color);
    font-size: 1.5rem;
    font-weight: 400;
    margin: 0 10px;
}
.dashboard .viewcard-pople{
    background: #d4d9ffc7 !important;
    border: 0 !important;
    transition: 0.2s all;
    align-items: center;
    -webkit-box-shadow: 0 10px 1.4px 0 var(--primary-color);
    -moz-box-shadow: 0 10px 1.4px 0 var(--primary-color);
    box-shadow: 0 10px 1.4px 0 var(--primary-color);
    margin-top: -5px;
    margin-bottom: 2rem;
}
.dashboard .viewcard-pople:hover{
    -webkit-box-shadow: 0 2px 1.4px 0 var(--primary-color);
    -moz-box-shadow: 0 2px 1.4px 0 var(--primary-color);
    margin-top: 5px;
    box-shadow: 0 2px 1.4px 0 var(--primary-color);
    }
.btn-pink{
    background: var(--pink-color);
    color: var(--white-color);
}
.btn-pink:hover{
    background: #fd3c96e0;
}

.title-section{
    font-size: 18px;
    font-weight: 700;
    /* color: var(--body-color); */
}





#dropdown-menu {
    
    left: 0 !important;
    right: auto !important;
}
.header-nav .profile .dropdown-item i{
    margin-left: 10px;
    
}

.title-cards{
    margin-bottom: 0;
    font-size: 14px;
    font-weight: 700;
    text-transform: capitalize;
    color: var(--body-color);
}


.hr-card-page{
    width: 100%;
    height: 1px;
    margin: 0.5rem auto 1rem;
    background: var(--border-color);
    border-radius: 4px;

}
/* ul */
.student-box-data {
    list-style-type: none;
    padding-left: 0;
    flex-wrap: wrap;
    margin-bottom: 0.6rem;
    gap: 2rem;
}
/* li */
.student-box-data li {
    position: relative;
    padding: 0.5rem;
    padding-right: 28px;
    padding-left: 7px;
    color: var(--body-color);
    font-size: 14px !important;
    font-weight: 700;
    align-content: center;
    min-width: 160px;
}
.student-box-data li::before{
    position: absolute;
    content: "";
    bottom: 0;
    left: 0;
    background: var(--border-color);
    width: 100%;
    height: 1px;
}
.student-box-data li i {
    color: var(--primary-color);
    position: absolute;
    right: 1px;
    top: 50%;
    transform: translateY(-50%);
    font-size: 18px;
}
.student-box-data li i::before{
    font-weight: 900 !important;
}
.student-box-data li i.bi-people {
    font-size: 18px;
    right: 1px;
}
.item-result {
    font-size: 13px !important;
    font-weight: 500 !important;
    /* margin-bottom: 0.2rem; */
    color: var(--lable-color) !important;
    margin-right: 0.4rem;
}
.description  , .card{
    font-size: 15px;
    font-weight: 600;
    color: var(--body-color);
}
.details-dashbord .card{
    box-shadow: 0 3px 10px #878d9c34;
    margin-bottom: 1rem;
    padding: 1rem 1rem;
    transition: 0.4s all;
    border-radius: 20px;
}
.swiper {
    width: 100%;
  }

.needs-validation{
    padding: 1rem;
}
.input-group-text{
    border-radius: var(--bs-border-radius) 0 0 var(--bs-border-radius) !important;
    border-right: 0 !important;
}
.form-control[type=file]{
    border-radius: 0 var(--bs-border-radius)  var(--bs-border-radius) 0 !important;
}
.was-validated .form-control[type=file]:invalid , .was-validated .form-control:invalid , .was-validated .form-control{
    padding-left: .75rem !important;
    padding-right: .75rem !important;
}